sc::TwoBodyIntV3(3)

NAME
sc::TwoBodyIntV3 - This implements electron repulsion integrals in the IntV3 library.

SYNOPSIS

#include <tbintv3.h>

Inherits sc::TwoBodyInt.

  Public Methods
TwoBodyIntV3 (Integral *integral, const Ref< GaussianBasisSet > &b1, const Ref< GaussianBasisSet > &b2, const Ref< GaussianBasisSet > &b3, const Ref< GaussianBasisSet > &b4, size_t storage)
~TwoBodyIntV3 ()
int log2_shell_bound (int, int, int, int)
Return log base 2 of the maximum magnitude of any integral in a shell block.
void compute_shell (int, int, int, int)
Given for shell indices, this will cause the integral buffer to be filled in.
size_t storage_used ()
void set_integral_storage (size_t storage)
This storage is used to cache computed integrals.

  Protected Attributes
Ref< Int2eV3 > int2ev3_

DETAILED DESCRIPTION

This implements electron repulsion integrals in the IntV3 library.

MEMBER FUNCTION DOCUMENTATION

  int sc::TwoBodyIntV3::log2_shell_bound (int, int, int, int) [virtual]

Return log base 2 of the maximum magnitude of any integral in a shell block.

An index of -1 for any argument indicates any shell.

Implements sc::TwoBodyInt.

AUTHOR

Generated automatically by Doxygen for MPQC from the source code.